/*!
 * @file network_manager.h
  *  Main interface for the network module. Manages all the modules

*/

/* you will want to add such a a line at your header file also, since it will
   prevent c++ from including your code twice*/
#ifndef _NETWORK_MANGER
#define _NETWORK_MANAGER


/* include base_object.h since all classes are derived from this one */
#include "base_object.h"



class NetworkManager : public BaseObject
{

public:

  NetworkManager();
  ~NetworkManager();

  void initialize();
  void shutdown();
  void establishConnection(/* address, port, object reference*/);
  void shutdownConnection();

  void registerListener();
  void synchronize();

};



#endif /* _NETWORK_MANAGER */
